from repository.storeddata import Exception, StoredData

class Console:
    
    def __init__(self, controller):
        self.controller = controller
        
    def showUI(self):
        print 'Commands: \n'
        print 'add_stud Add a new student in list\n'
        print 'rem_stud Remove a student from the list\n'
        print 'upd_stud Change a student name\n'
        print 'ext Exit\n\n'
        while True:
            command = raw_input("Command: ")
            if command == 'add_stud':
                id = raw_input("ID: ")
                name = raw_input("Name: ")
                try:
                    student = self.controller.createStudent(id, name)
                    print 'Student ' + student.getName() + ' added'
                except Exception:
                    print 'Student with id ' + student.getID() + ' already exists'
            if command == 'rem_stud':
                id = raw_input("ID: ")
                try:
                    student = self.controller.repository.students[id]
                    del self.controller.repository.students[id]
                    print 'Student with id ' + id + ' removed'
                except Exception:
                    print 'Student with id ' + id + ' does not exist'
            if command == 'upd_stud':
                id = raw_input("ID: ")
                new_name = raw_input("New name: ")
                try:
                    student = self.controller.repository.students[id]
                    student.name = new_name
                    self.controller.repository.students[id] = student
                    print 'Student with id ' + id + ' has the new name ' + new_name
                except Exception:
                    print 'Student with id ' + id + ' does not exist'
            if command == 'list_stud':
                print 'Students list:\n'
                for id, student in self.controller.repository.students.iteritems():
                    print student
            if command == 'ext':
                exit(0)
                